
.luxury-gallery{
    background:#fff;
}

.gallery-subtitle{

    display:inline-block;
    color:#b68b43;
    letter-spacing:3px;
    text-transform:uppercase;
    font-size:14px;
    font-weight:600;
    margin-bottom:10px;

}

.gallery-title{

    font-size:42px;
    font-weight:700;
    color:#111;
    margin-bottom:15px;

}

.gallery-text{

    color:#777;
    max-width:650px;
    margin:auto;

}

/* Card */

.gallery-card{

    position:relative;
    overflow:hidden;
    border-radius:25px;
    height:800px;
    cursor:pointer;
    box-shadow:0 20px 60px rgba(0,0,0,.08);
    transition:.5s;

}

.gallery-card:hover{

    transform:translateY(-8px);

}

.gallery-card img{

    width:100%;
    height:100%;
    object-fit:cover;
    transition:1s;

}

.gallery-card:hover img{

    transform:scale(1.12);

}

/* Overlay */

.gallery-overlay{

    position:absolute;
    inset:0;

    background:linear-gradient(to top,
            rgba(255,255,255,.95),
            rgba(255,255,255,.15));

    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    opacity:0;
    transition:.45s;

    backdrop-filter:blur(4px);

}

.gallery-card:hover .gallery-overlay{

    opacity:1;

}

/* Lens */

.gallery-icon{

    width:75px;
    height:75px;

    border-radius:50%;

    display:flex;
    align-items:center;
    justify-content:center;

    background:white;

    color:#111;
    font-size:30px;

    text-decoration:none;

    box-shadow:0 10px 35px rgba(0,0,0,.12);

    transform:translateY(-40px) scale(.6);

    opacity:0;

    transition:.45s;

}

.gallery-card:hover .gallery-icon{

    transform:translateY(0) scale(1);
    opacity:1;

}

.gallery-icon:hover{

    background:#b68b43;
    color:#fff;
    transform:scale(1.1);

}

/* Whatsapp */

.whatsapp-btn{

    margin-top:30px;

    padding:12px 30px;

    border-radius:50px;

    background:#fff;

    color:#25D366;

    text-decoration:none;

    font-weight:600;

    display:flex;

    align-items:center;

    gap:10px;

    box-shadow:0 12px 30px rgba(0,0,0,.12);

    transform:translateY(35px);

    opacity:0;

    transition:.55s;

}

.gallery-card:hover .whatsapp-btn{

    transform:translateY(0);
    opacity:1;

}

.whatsapp-btn:hover{

    background:#25D366;
    color:#fff;

}

.whatsapp-btn i{

    font-size:22px;

}

/* Mobile */

@media(max-width:768px){

.gallery-card{

height:330px;

}

.gallery-title{

font-size:30px;

}

}